Save GSTR-2X TDS/TCS Return as a Draft
PUT
https://apisandbox.whitebooks.in/gstr2x/retsaveUsed to save entire GSTR2X invoices.
Parameters
query parameters
emailstringrequiredUser Email
header parameters
gstinstringrequiredGST Number
ret_periodstringrequiredReturn Period (MMYYYY)
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Request Body
application/jsonrequired
gstinstringoptionalSupplier GSTIN
Example: "27AHQPA7588L1ZJ"
fpstringoptionalFinancial Period
Example: "022024"
tdsarray<object>optionalArray items:
flagstringoptionalFlag for identifying New/Modified
Example: "R"
ctinstringoptionalGSTIN of Deductor
Example: "08AUGGC1893FDD5"
monthstringoptionalTDS Period
Example: "08AUGGC1893FDD5`"
chksumstringoptionalChecksum Value
Example: "e019706b5c029430c81cc4f620c72adf0fc43ceb1805099abe0f1a41a79cfbc5"
tdsaarray<object>optionalArray items:
flagstringoptionalFlag for identifying New/Modified
Example: "A"
ctinstringoptionalGSTIN of Deductor
Example: "08AUGGC1893FDD5"
omonthstringoptionalOriginal TDS Period
Example: "08AUGGC1893FDD5`"
chksumstringoptionalChecksum Value
Example: "e019706b5c029430c81cc4f620c72adf0fc43ceb1805099abe0f1a41a79cfbc5"
tcsarray<object>optionalArray items:
flagstringoptionalFlag for identifying New/Modified
Example: "R"
ctinstringoptionalGSTIN of Deductor
Example: "08AUGGC1893FDD5"
monthstringoptionalTDS Period
Example: "08AUGGC1893FDD5`"
chksumstringoptionalChecksum Value
Example: "e019706b5c029430c81cc4f620c72adf0fc43ceb1805099abe0f1a41a79cfbc5"
tcsaarray<object>optionalArray items:
flagstringoptionalFlag for identifying New/Modified
Example: "A"
ctinstringoptionalGSTIN of Deductor
Example: "08AUGGC1893FDD5"
omonthstringoptionalOriginal TDS Period
Example: "08AUGGC1893FDD5`"
chksumstringoptionalChecksum Value
Example: "e019706b5c029430c81cc4f620c72adf0fc43ceb1805099abe0f1a41a79cfbc5"
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP PUT to
/gstr2x/retsave. Required parameters: email (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.For Save GSTR2X data (PUT
/gstr2x/retsave), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Used to save entire GSTR2X invoices.
No example available.